# Provide more system info blocks specific to Virtualmin

do 'virtualmin-wp-workbench-lib.pl';

sub list_system_info
{
my ($data, $in) = @_;
my @rv;

# Tell Pro users about WP Workbench
if ($virtual_server::virtualmin_pro &&
    &should_show_tip('wp_workbench') && &should_show_tip('wp_workbench_ad')) {
	# Show WP Workbench notice on the dashboard
	my $goodtime = 1;
	# Show alert in another 21 days if reminder been set
	my ($remind) = &should_show_tip('wp_workbench_reminder');
	my $futureremind = (int($remind) + (60*60*24 * 21));
	my $doremind = ($remind && $futureremind < time());
	my $target_link = "https://www.virtualmin.com/docs/plugins/wp-workbench/";
	push(@rv,
		{ 'type' => 'warning',
		  'level' => 'info',
		  'warning' => {
		    'alert' => &virtual_server::alert_pro_tip('wp_workbench',
		    { 'main_icon' => ' fa-exclamation-circle inline-text',
		      'alert_title' => $text{'sysinfo_title_dashboard'},
		      'alert_body1' => $text{'sysinfo_title_desc_dashboard'}." ",
		      'alert_body2' => $text{'sysinfo_title_desc_dashboard2'},
		      'target_link' => $target_link,
		      'button_text2' => $text{'sysinfo_title_link_docs'},
		      'button_icon2' => 'fa fa-fw fa-question-circle',
		      'button_text3' => $text{'scripts_gpl_pro_tip_remind'},
		      'button_icon3' => 'fa fa-fw fa-clock',
		      'button_text' => $text{'scripts_gpl_pro_tip_hide'},
		      'button_icon' => 'fa fa-fw fa-times-circle-o',
		    })
		  },
		}) if (($goodtime && !$remind) || ($goodtime && $doremind));
	}
return @rv;
}

# should_show_tip(tipid)
# If the current user should see WP Workbench notice
sub should_show_tip
{
my ($tipid) = @_;
return if (!&virtual_server::master_admin());
my %protips;
&read_file("$virtual_server::newfeatures_seen_dir/$remote_user-pro-tips",
	   \%protips);
return wantarray ? ($protips{$tipid}) : !$protips{$tipid};
}

1;
